Bug 238082 - X restarts if connected remotely.
X restarts if connected remotely.
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2007-04-26 20:02 EDT by Khem Raj
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: f7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-30 09:29:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Khem Raj 2007-04-26 20:02:32 EDT
Description of problem:

I am setting up vncserver as per the directions mentioned here


It works fine with FC6 and below. However with FC7test3 when I connect from
remote machine it connects to it and restarts the X server.
This is a problem because then I lose my open work. This happens with KDE
I don't know about Gnome I did not try that. I update to the latest everyday and
the problem appears always.

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:
1. install vnc-server-4.1.2-16.fc7
2. Follow the steps mentioned at link
3. Restart X
4. Now try to connect from a remote machine the X will restart.
Actual results:

X restarts may be after getting killed.

Expected results:

Connection to the existing desktop.

Additional info:
Comment 1 Adam Jackson 2007-07-27 17:48:15 EDT
What hardware is this with?
Comment 2 Khem Raj 2007-07-27 17:54:15 EDT
this is Intel Core 2 duo x86-64 based machine running 32-bit Fedora 7.
Comment 3 Khem Raj 2007-07-27 17:56:11 EDT
btw. I dont see it on F7 anymore.
Comment 4 Matěj Cepl 2007-07-30 09:29:45 EDT
OK, closing per comment 3. Reporter, if you will ever encounter this bug again,
please, reopen this bug and attach /var/log/Xorg.*.log and /etc/X11/xorg.conf as
two separate and uncompressed attachments to this bug.

Note You need to log in before you can comment on or make changes to this bug.